Skip to main content

Get Download Id For Futures Transaction History(USER_DATA)

API Description​

Get download id for futures transaction history

HTTP Request​

GET /dapi/v1/income/asyn

Request Weight​

1000

Request Parameters​

NameTypeMandatoryDescription
startTimeLONGYESTimestamp in ms
endTimeLONGYESTimestamp in ms
recvWindowLONGNO
timestampLONGYES
  • The request limit is 100 times per month, shared across the front end download page and rest api, as well as between USDⓈ-M and COIN-M contracts.
  • This endpoint uses the IP rate limit bucket and costs 1000 weight per call. The maximum is 2 calls per minute; the 3rd call within the same minute will trigger a ban.
  • The time between startTime and endTime can not be longer than 1 year

Response Example​

{
"avgCostTimestampOfLast30d":7241837, // Average time taken for data download in the past 30 days
"downloadId":"546975389218332672",
}